#include<bits/stdc++.h>
using namespace std;
#define ll long long

ll read(){
	ll x=0;char ch=getchar();bool f=0;
	for (;!isdigit(ch);ch=getchar()) if (ch=='-') f=1;
	for (;isdigit(ch);ch=getchar()) x=x*10+ch-'0';
	return f?-x:x;
}

int const N=1000+3;
ll const Mo=998244353;
ll T,id,n,m,ans1,ans2,x,y,tmp;
int a[N][N],heng[N][N],shu[N][N],numh[N][N];
char cha;

int main(){
	freopen("barrack.in","r",stdin);
	freopen("barrack.out","w",stdout);
	cout<<32<<endl;
	return 0;
}